Change log for acpid package in Ubuntu

167 of 67 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-03-01
Deleted in disco-proposed (Reason: moved to release)
acpid (1:2.0.31-1ubuntu2) disco; urgency=medium

  * Ship acpid.service disabled, but .path and .sockets enabled.
    Also don't start acpid.service on installation.

 -- Balint Reczey <email address hidden>  Fri, 01 Mar 2019 17:41:32 +0100
Superseded in disco-release on 2019-03-01
Deleted in disco-proposed on 2019-03-03 (Reason: moved to release)
acpid (1:2.0.31-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/silent.patch: change pointless shutdown message "exiting"
      from NOTICE to DEBUG level, such that it's not emitted by default.
    - don't recommend acpi-support-base.

Superseded in disco-release on 2019-02-01
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-28
Deleted in artful-proposed (Reason: moved to release)
acpid (1:2.0.28-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/silent.patch: change pointless shutdown message "exiting"
      from NOTICE to DEBUG level, such that it's not emitted by default.
    - don't recommend acpi-support-base.
  * Dropped changes, included in Debian:
    - Do not start when inside a container
  * Dropped changes:
    - Replace init script with Upstart job: upstart is obsolete post-16.04
      and we are already using a systemd unit instead.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh: this file
      is long gone (pre-13.10) so no need for the delta.
    - Install /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh: drop,
      since the script is a no-op when systemd-logind is running and
      systemd-logind is now *always* running, there's no reason to install
      these anymore or carry a delta to them.
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.

Superseded in artful-release on 2017-04-28
Deleted in artful-proposed on 2017-04-29 (Reason: moved to release)
acpid (1:2.0.26-1ubuntu3) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <email address hidden>  Fri, 21 Apr 2017 20:45:17 +0000
Superseded in artful-release on 2017-04-22
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-04-09
Deleted in xenial-proposed (Reason: moved to release)
acpid (1:2.0.26-1ubuntu2) xenial; urgency=medium

  * Do not start when inside a container (LP: #1568155)

 -- Simon Deziel <email address hidden>  Fri, 08 Apr 2016 21:25:13 +0000
Superseded in xenial-release on 2016-04-09
Deleted in xenial-proposed on 2016-04-10 (Reason: moved to release)
acpid (1:2.0.26-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again.
    - debian/powerbtn.sh: gnome-power-manager is no more, check for
      gnome-settings-daemon now. This fixes immediate shutdown when the power
      button is pressed.
    - Change pointless shutdown message "exiting" from NOTICE to DEBUG
      level, such that it's not emitted by default.
    - debian/powerbtn.sh: add support for mate-settings-daemon,
      unity-settings-daemon
    - ./debian/powerbtn.sh: Don't do anything if logind is running, as
      that already handles power button presses. This fixes unconditional
      shutdowns if a desktop environment wants to handle the power key by
      itself (and inhibits logind). (LP: #1201180)

Superseded in xenial-release on 2016-02-18
Deleted in xenial-proposed on 2016-02-20 (Reason: moved to release)
acpid (1:2.0.23-1ubuntu2) xenial; urgency=medium

  * Fix FTBFS due to signed/unsigned comparison.

 -- Dimitri John Ledkov <email address hidden>  Thu, 03 Dec 2015 14:35:03 +0000
Superseded in xenial-release on 2015-12-10
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
acpid (1:2.0.23-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again.
    - debian/powerbtn.sh: gnome-power-manager is no more, check for
      gnome-settings-daemon now. This fixes immediate shutdown when the power
      button is pressed.
    - Change pointless shutdown message "exiting" from NOTICE to DEBUG
      level, such that it's not emitted by default.
    - debian/powerbtn.sh: add support for mate-settings-daemon,
      unity-settings-daemon
    - ./debian/powerbtn.sh: Don't do anything if logind is running, as
      that already handles power button presses. This fixes unconditional
      shutdowns if a desktop environment wants to handle the power key by
      itself (and inhibits logind). (LP: #1201180)

Superseded in vivid-release on 2014-11-03
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
acpid (1:2.0.21-1ubuntu3) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.
 -- Dimitri John Ledkov <email address hidden>   Wed, 28 May 2014 10:38:47 +0100
Superseded in utopic-release on 2014-05-28
Published in trusty-release on 2014-04-03
Deleted in trusty-proposed (Reason: moved to release)
acpid (1:2.0.21-1ubuntu2) trusty; urgency=medium

  * ./debian/powerbtn.sh: Don't do anything if logind is running, as that
    already handles power button presses. This fixes unconditional shutdowns
    if a desktop environment wants to handle the power key by itself (and
    inhibits logind). (LP: #1201180)
 -- Martin Pitt <email address hidden>   Thu, 03 Apr 2014 14:53:35 +0100
Superseded in trusty-release on 2014-04-03
Deleted in trusty-proposed on 2014-04-05 (Reason: moved to release)
acpid (1:2.0.21-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again.
    - debian/powerbtn.sh: gnome-power-manager is no more, check for
      gnome-settings-daemon now. This fixes immediate shutdown when the power
      button is pressed.
    - Fix build failure with GCC 4.8.
    - Change pointless shutdown message "exiting" from NOTICE to DEBUG
      level, such that it's not emitted by default.
    - debian/powerbtn.sh: add support for mate-settings-daemon.

  * Drop changes (unnecessary delta, which does no harm):
    - debian/acpid.install, debian/acpid.links:
      Don't install socket and service files needed by systemd

  * New changes:
    - add support for unity-settings-daemon.

Superseded in trusty-release on 2014-02-19
Deleted in trusty-proposed on 2014-02-20 (Reason: moved to release)
acpid (1:2.0.18-1ubuntu3) trusty; urgency=medium

  * Change pointless shutdown message "exiting" from NOTICE to DEBUG
    level, such that it's not emitted by default. (LP: #967229)
 -- Dimitri John Ledkov <email address hidden>   Tue, 04 Feb 2014 18:15:06 +0000
Superseded in trusty-release on 2014-02-04
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
acpid (1:2.0.18-1ubuntu2) saucy; urgency=low

  * debian/powerbtn.sh: add support for mate-settings-daemon. (LP: #1184831)
 -- Nikolay Martynov <email address hidden>   Wed, 29 May 2013 22:50:46 -0400
Superseded in saucy-release on 2013-08-16
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
acpid (1:2.0.18-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again.
    - debian/powerbtn.sh: gnome-power-manager is no more, check for
      gnome-settings-daemon now. This fixes immediate shutdown when the power
      button is pressed.
    - debian/acpid.install, debian/acpid.links:
      Don't install socket and service files needed by systemd
  * Fix build failure with GCC 4.8.

Superseded in raring-release on 2013-02-26
Deleted in raring-proposed on 2013-02-28 (Reason: moved to release)
acpid (1:2.0.17-1ubuntu2) raring; urgency=low

  * Bump to debhelper compat level 9 and use the
    DEB_CFLAGS_MAINT_{APPEND_PREPEND} options to change flags, trusting
    dh_auto_configure to do the right thing, so that we get support for
    cross-compilation and other niceties.
 -- Steve Langasek <email address hidden>   Tue, 18 Dec 2012 07:02:42 +0000
Superseded in raring-release on 2012-12-18
Deleted in raring-proposed on 2012-12-19 (Reason: moved to release)
acpid (1:2.0.17-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1076536), remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit
    - debian/acpid.install, debian/acpid.preinst, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again.
    - debian/powerbtn.sh: gnome-power-manager is no more, check for
      gnome-settings-daemon now. This fixes immediate shutdown when the power
      button is pressed.
    - debian/acpid.install, debian/acpid.links:
      Don't install socket and service files needed by systemd
 -- Tyler Hicks <email address hidden>   Thu, 08 Nov 2012 11:37:06 -0800
Superseded in raring-release on 2012-11-08
Obsolete in quantal-release on 2015-04-24
acpid (1:2.0.16-1ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1006679), remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit
    - debian/acpid.install, debian/acpid.preinst:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again.
    - debian/powerbtn.sh: gnome-power-manager is no more, check for
      gnome-settings-daemon now. This fixes immediate shutdown when the power
      button is pressed.
    - debian/acpid.install, debian/acpid.links:
      Don't install socket and service files needed by systemd
  * Dropped changes:
    - Fix build error with GCC-4.5, build with -Wno-error=sign-compare; no
      longer needed.
  * debian/acpid.install, debian/rules: Migrate the Ubuntu changes for
    powerbtn.sh to debhelper 7
 -- Tyler Hicks <email address hidden>   Wed, 30 May 2012 17:45:36 -0700
Obsolete in lucid-updates on 2016-10-26
Obsolete in lucid-security on 2016-10-26
acpid (1.0.10-5ubuntu2.5) lucid-security; urgency=low

  * SECURITY UPDATE: Arbitrary code execution in the power button handling
    script (LP: #893821)
    - debian/powerbtn.sh: Ensure that the DBUS_SESSION_BUS_ADDRESS environment
      variable is only read from a process owned by the user that will be
      evaluating the variable.
    - CVE-2011-2777
  * SECURITY UPDATE: Unprivileged users may be able to write to directories
    and read files created by event handler scripts
    - event.c: Set a restrictive umask of 0077 before running an event handler
      script. Based on upstream patch.
    - CVE-2011-4578
 -- Tyler Hicks <email address hidden>   Wed, 07 Dec 2011 16:35:39 -0600
Obsolete in maverick-updates on 2013-03-05
Obsolete in maverick-security on 2013-03-05
acpid (1.0.10-5ubuntu4.4) maverick-security; urgency=low

  * SECURITY UPDATE: Arbitrary code execution in the power button handling
    script (LP: #893821)
    - debian/powerbtn.sh: Ensure that the DBUS_SESSION_BUS_ADDRESS environment
      variable is only read from a process owned by the user that will be
      evaluating the variable.
    - CVE-2011-2777
  * SECURITY UPDATE: Unprivileged users may be able to write to directories
    and read files created by event handler scripts
    - event.c: Set a restrictive umask of 0077 before running an event handler
      script. Based on upstream patch.
    - CVE-2011-4578
 -- Tyler Hicks <email address hidden>   Wed, 07 Dec 2011 16:35:34 -0600
Obsolete in natty-updates on 2013-06-04
Obsolete in natty-security on 2013-06-04
acpid (1:2.0.7-1ubuntu2.4) natty-security; urgency=low

  * SECURITY UPDATE: Arbitrary code execution in the power button handling
    script (LP: #893821)
    - debian/powerbtn.sh: Ensure that the DBUS_SESSION_BUS_ADDRESS environment
      variable is only read from a process owned by the user that will be
      evaluating the variable.
    - CVE-2011-2777
  * SECURITY UPDATE: Unprivileged users may be able to write to directories
    and read files created by event handler scripts
    - event.c: Set a restrictive umask of 0077 before running an event handler
      script. Based on upstream patch.
    - CVE-2011-4578
 -- Tyler Hicks <email address hidden>   Wed, 07 Dec 2011 16:35:28 -0600
Obsolete in oneiric-updates on 2015-04-24
Obsolete in oneiric-security on 2015-04-24
acpid (1:2.0.10-1ubuntu2.3) oneiric-security; urgency=low

  * SECURITY UPDATE: Arbitrary code execution in the power button handling
    script (LP: #893821)
    - debian/powerbtn.sh: Ensure that the DBUS_SESSION_BUS_ADDRESS environment
      variable is only read from a process owned by the user that will be
      evaluating the variable.
    - CVE-2011-2777
  * SECURITY UPDATE: Unprivileged users may be able to write to directories
    and read files created by event handler scripts
    - event.c: Set a restrictive umask of 0077 before running an event handler
      script. Based on upstream patch.
    - CVE-2011-4578
 -- Tyler Hicks <email address hidden>   Wed, 07 Dec 2011 16:35:22 -0600
Superseded in quantal-release on 2012-06-07
Published in precise-release on 2011-12-08
acpid (1:2.0.10-1ubuntu3) precise; urgency=low

  * SECURITY UPDATE: Arbitrary code execution in the power button handling
    script (LP: #893821)
    - debian/powerbtn.sh: Ensure that the DBUS_SESSION_BUS_ADDRESS environment
      variable is only read from a process owned by the user that will be
      evaluating the variable.
    - CVE-2011-2777
  * SECURITY UPDATE: Unprivileged users may be able to write to directories
    and read files created by event handler scripts
    - event.c: Set a restrictive umask of 0077 before running an event handler
      script. Based on upstream patch.
    - CVE-2011-4578
 -- Tyler Hicks <email address hidden>   Wed, 07 Dec 2011 16:33:35 -0600
Superseded in natty-updates on 2011-12-09
Superseded in natty-security on 2011-12-08
acpid (1:2.0.7-1ubuntu2.1) natty-security; urgency=low

  * SECURITY UPDATE: denial of service via blocking socket
    - sock.c: adjust the socket fd to use O_NONBLOCK
    - Patch from upstream
    - CVE-2011-1159
 -- Jamie Strandboge <email address hidden>   Thu, 13 Oct 2011 17:36:33 -0500
Superseded in lucid-updates on 2011-12-09
Superseded in lucid-security on 2011-12-08
acpid (1.0.10-5ubuntu2.2) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service via blocking socket
    - debian/patches/CVE-2011-1159.patch: adjust the socket fd to use
      O_NONBLOCK
    - CVE-2011-1159
 -- Jamie Strandboge <email address hidden>   Thu, 13 Oct 2011 17:31:21 -0500
Superseded in maverick-updates on 2011-12-09
Superseded in maverick-security on 2011-12-08
acpid (1.0.10-5ubuntu4.1) maverick-security; urgency=low

  * SECURITY UPDATE: denial of service via blocking socket
    - debian/patches/CVE-2011-1159.patch: adjust the socket fd to use
      O_NONBLOCK
    - CVE-2011-1159
 -- Jamie Strandboge <email address hidden>   Thu, 13 Oct 2011 17:35:25 -0500
Superseded in precise-release on 2011-12-08
Obsolete in oneiric-release on 2015-04-24
acpid (1:2.0.10-1ubuntu2) oneiric; urgency=low

  * ./debian/powerbtn.sh: gnome-power-manager is no more, check for
    gnome-settings-daemon now. This fixes immediate shutdown when the power
    button is pressed. (LP: #837266)
 -- Martin Pitt <email address hidden>   Tue, 30 Aug 2011 12:07:43 +0200
Superseded in oneiric-release on 2011-09-01
acpid (1:2.0.10-1ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - see 1:2.0.9-1ubuntu1 changelog.

Available diffs

Superseded in oneiric-release on 2011-05-20
acpid (1:2.0.10-1) unstable; urgency=low

  * Imported Upstream version 2.0.10
  * Bumped Standards-Version to 3.9.2, no changes needed.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  20 May 2011 08:08:43 +0000

Available diffs

Superseded in oneiric-release on 2011-05-20
acpid (1:2.0.9-1) unstable; urgency=low

  * Imported Upstream version 2.0.9

Available diffs

Superseded in oneiric-release on 2011-05-04
Obsolete in natty-release on 2013-06-04
acpid (1:2.0.7-1ubuntu2) natty; urgency=low

  * Fix build error with GCC-4.5, build with -Wno-error=sign-compare.
 -- Matthias Klose <email address hidden>   Fri, 07 Jan 2011 14:00:59 +0100
Superseded in natty-release on 2011-01-07
acpid (1:2.0.7-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #507778), remaining changes:
    - Replace init script with Upstart job
      + This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit
    - debian/preinst, debian/acpid.install, debian/control, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.
    - Source /usr/share/acpi-support/power-funcs in powerbtn.sh (LP: #508073)
    - debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
      exists before sourcing it; note that acpid does not depend on
      acpi-support (which is fine, as it brings in lots of X dependencies
      not appropriate for servers); this fix will allow Ubuntu servers
      (especially those in VMs) to run acpid and catch and handle power
      button events again; LP: #570450
  * Dropped changes:
    - New patch, missing-includes, to fix missing includes of sys/types.h and
      sys/stat.h for umask() and stat() in acpid.c; fixes FTBFS: no longer
      needed
    - Update patch missing-includes to also fix the same missing includes in
      sock.c; this is all fixed in 2.0.x versions of acpid: no longer needed

Superseded in natty-release on 2010-11-26
Obsolete in maverick-release on 2013-03-05
acpid (1.0.10-5ubuntu4) maverick; urgency=low

  * Update patch missing-includes to also fix the same missing includes in
    sock.c; this is all fixed in 2.0.x versions of acpid.
 -- Loic Minier <email address hidden>   Sun, 27 Jun 2010 14:34:03 +0200

Available diffs

Superseded in maverick-release on 2010-06-27
acpid (1.0.10-5ubuntu3) maverick; urgency=low

  * New patch, missing-includes, to fix missing includes of sys/types.h and
    sys/stat.h for umask() and stat() in acpid.c; fixes FTBFS.
 -- Loic Minier <email address hidden>   Sun, 27 Jun 2010 14:26:12 +0200
Superseded in lucid-updates on 2011-10-20
Superseded in maverick-release on 2010-06-27
Deleted in lucid-proposed on 2011-10-21 (Reason: moved to -updates)
acpid (1.0.10-5ubuntu2.1) lucid-proposed; urgency=low

  * debian/powerbtn.sh: ensure that /usr/share/acpi-support/power-funcs
    exists before sourcing it; note that acpid does not depend on
    acpi-support (which is fine, as it brings in lots of X dependencies
    not appropriate for servers); this fix will allow Ubuntu servers
    (especially those in VMs) to run acpid and catch and handle power
    button events again; LP: #570450
 -- Dustin Kirkland <email address hidden>   Mon, 26 Apr 2010 17:25:02 -0500
Superseded in maverick-release on 2010-05-03
Obsolete in lucid-release on 2016-10-26
acpid (1.0.10-5ubuntu2) lucid; urgency=low

  * Source /usr/share/acpi-support/power-funcs in powerbtn.sh (LP: #508073)
 -- Jonathan Thomas <email address hidden>   Fri, 15 Jan 2010 19:59:47 -0500

Available diffs

Superseded in lucid-release on 2010-01-30
acpid (1.0.10-5ubuntu1) lucid; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Replace init script with Upstart job.
      - This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/control:
      - Bump build-dependency on debhelper for Upstart-aware dh_installinit
    - debian/preinst, debian/acpid.install, debian/control, debian/rules:
      continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
      deferring the migration to acpi-support-base; and drop the Recommends:
      on acpi-support-base for the same reason.

Available diffs

Superseded in lucid-release on 2009-12-23
acpid (1.0.10-4ubuntu1) lucid; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Replace init script with Upstart job.
      - This does not load modules, unlike the init script, since these are
        all loaded by ACPI:* modaliases now (and thus by udev)
    - debian/control:
      - Bump build-dependency on debhelper for Upstart-aware dh_installinit
  * Dropped changes, integrated upstream:
    - build with -D_GNU_SOURCE to make "struct ucred" available
    - acpid.*, event.c, ud_socket.*: limit the number of non-root clients,
      correctly close dead connections.
    - Remove the logrotate file on upgrade
    - Bump Standards-Version to 3.8.0
    - debian/powerbtn.sh:
      - Update for KDE 4
      - Add dalston-power-applet to list of handlers for power
        button events
      - add xfce4-power-manager to the list of handlers as well.
  * Dropped changes, superseded by upstart conversion:
    - debian/acpid.init.d: add the 'status' action
    - Replace "multiuser" deprecated init mode in debian/rules with manual
      arguments. Adapt the corresponding change in LSB init script header
      and runtime dependency in debian/control
    - depend on sysv-rc
  * debian/preinst, debian/acpid.install, debian/control, debian/rules:
    continue installing /etc/acpi/events/powerbtn and /etc/acpi/powerbtn.sh,
    deferring the migration to acpi-support-base; and drop the Recommends:
    on acpi-support-base for the same reason.

Available diffs

Superseded in lucid-release on 2009-12-18
acpid (1.0.10-4) unstable; urgency=low

  * Updated netlink patch to version 6.

Available diffs

Superseded in lucid-release on 2009-12-18
Obsolete in karmic-release on 2013-03-04
acpid (1.0.6-9ubuntu8) karmic; urgency=low

  * debian/powerbtn.sh: add xfce4-power-manager to the list of handlers as
    well. LP: #425155

 -- Lionel Le Folgoc <email address hidden>   Wed, 23 Sep 2009 14:53:01 +0200

Available diffs

Superseded in karmic-release on 2009-09-23
acpid (1.0.6-9ubuntu7) karmic; urgency=low

  * debian/powerbtn.sh:
    - Add dalston-power-applet to list of handlers for power
      button events (part of fix for LP: #432578).

 -- Gary Lasker <email address hidden>   Fri, 18 Sep 2009 12:25:33 -0400

Available diffs

Superseded in karmic-release on 2009-09-23
acpid (1.0.6-9ubuntu6) karmic; urgency=low

  FFE LP: #427356.

  * Replace init script with Upstart job.
    - This does not load modules, unlike the init script, since these are
      all loaded by ACPI:* modaliases now (and thus by udev)
  * debian/control:
    - Bump build-dependency on debhelper for Upstart-aware dh_installinit

 -- Scott James Remnant <email address hidden>   Tue, 15 Sep 2009 03:34:49 +0100

Available diffs

Obsolete in jaunty-updates on 2013-02-28
Deleted in jaunty-proposed on 2013-02-28 (Reason: moved to -updates)
acpid (1.0.6-9ubuntu4.9.04.3) jaunty-proposed; urgency=low

  * Update /etc/acpi/powerbtn.sh for KDE 4
    Closes LP: #368497

 -- Jonathan Riddell <email address hidden>   Tue, 28 Apr 2009 11:01:13 +0100
Superseded in karmic-release on 2009-09-15
acpid (1.0.6-9ubuntu5) karmic; urgency=low

  * Upload jaunty changes to karmic

Available diffs

Superseded in jaunty-updates on 2009-05-04
Obsolete in jaunty-security on 2013-02-28
acpid (1.0.6-9ubuntu4.9.04.2) jaunty-security; urgency=low

  * SECURITY UPDATE: denial of service via too many open files
    - acpid.*, event.c, ud_socket.*: limit the number of non-root clients,
      correctly close dead connections.
    - CVE-2009-0798

 -- Marc Deslauriers <email address hidden>   Wed, 22 Apr 2009 15:09:59 -0400
Obsolete in intrepid-updates on 2013-02-20
Obsolete in intrepid-security on 2013-02-20
acpid (1.0.6-9ubuntu4.8.10.2) intrepid-security; urgency=low

  * SECURITY UPDATE: denial of service via too many open files
    - acpid.*, event.c, ud_socket.*: limit the number of non-root clients,
      correctly close dead connections.
    - CVE-2009-0798

 -- Marc Deslauriers <email address hidden>   Wed, 22 Apr 2009 15:10:51 -0400
Obsolete in hardy-updates on 2015-04-24
Obsolete in hardy-security on 2015-04-24
acpid (1.0.4-5ubuntu9.3) hardy-security; urgency=low

  * SECURITY UPDATE: denial of service via too many open files
    - acpid.*, event.c, ud_socket.*: limit the number of non-root clients,
      correctly close dead connections.
    - CVE-2009-0798

 -- Marc Deslauriers <email address hidden>   Wed, 22 Apr 2009 15:13:20 -0400
Obsolete in dapper-updates on 2011-09-06
Obsolete in dapper-security on 2011-09-06
acpid (1.0.4-1ubuntu11.2) dapper-security; urgency=low

  * SECURITY UPDATE: denial of service via too many open files
    - acpid.*, event.c, ud_socket.*: limit the number of non-root clients,
      correctly close dead connections.
    - CVE-2009-0798

 -- Marc Deslauriers <email address hidden>   Wed, 22 Apr 2009 15:14:16 -0400
Superseded in hardy-updates on 2009-04-27
Deleted in hardy-proposed on 2009-04-28 (Reason: moved to -updates)
acpid (1.0.4-5ubuntu9.1) hardy-proposed; urgency=low

  * event.c: Close the client file descriptor on disconnect. Otherwise the
    limit will be reached and the logfile is filled with errors. (LP:
    #270259)

 -- Timo Aaltonen <email address hidden>   Fri, 14 Nov 2008 11:33:16 +0200

Available diffs

Superseded in karmic-release on 2009-04-28
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
acpid (1.0.6-9ubuntu4) intrepid; urgency=low

  * Remove the logrotate file on upgrade, as the previous one that was
    installed did a "kill -USR1" on the acpid process to cause it to reload
    its logfiles. As the new acpid doesn't use a log file it doesn't catch
    this signal, which means that once a week acpid is killed. As it doesn't
    have a logfile the logrotate file is not needed, and so is no longer
    installed, but as it was a conffile it is not removed on upgrades.
    Thanks to Loic Minier for his help with the fix.  (LP: #263888)
    - ad81211857dabeb88538e0f90c922b7c787b34c5 in Debian's pkg-acpi git repo.

 -- James Westby <email address hidden>   Wed, 24 Sep 2008 15:19:14 +0100

Available diffs

Superseded in intrepid-release on 2008-09-26
acpid (1.0.6-9ubuntu3) intrepid; urgency=low

  * Replace "multiuser" deprecated init mode in debian/rules with manual
    arguments. Adapt the corresponding change in LSB init script header and
    runtime dependency in debian/control (LP: #254249)

 -- Didier Roche <email address hidden>   Wed, 13 Aug 2008 19:50:50 +0200

Available diffs

Superseded in intrepid-release on 2008-09-09
acpid (1.0.6-9ubuntu2) intrepid; urgency=low

  * debian/control
    - Depend on lsb-base >= 3.2-14, providing status_of_proc()
    - Bump Standards-Version to 3.8.0
  * debian/acpid.init.d
    - Add the 'status' action (LP: #251681)

 -- Nathan Handler <email address hidden>   Thu, 24 Jul 2008 21:03:02 -0500

Available diffs

Superseded in intrepid-release on 2008-07-29
acpid (1.0.6-9ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - init script starts earlier
    - depend on sysv-rc
  * removed ubuntu specific -G (lockfilegroup) options, it does
    no longer apply because acpid now uses syslog by default
  * disable debian update-rc.d call to make acpid run earlier on
    upgrade, out packages already run early
  * build with -D_GNU_SOURCE to make "struct ucred" available
    (see also http://sourceware.org/bugzilla/show_bug.cgi?id=6545)

Available diffs

Superseded in intrepid-release on 2008-06-02
Obsolete in hardy-release on 2015-04-24
acpid (1.0.4-5ubuntu9) hardy; urgency=low

  [ Daniel Hahler ]
  * debian/acpid.postinst: Stop and start hal, if present.
    This allows acpid to take /proc/acpi/event and hal will ignore this kernel
    interface, when acpid is installed. (LP: #63450)
  * debian/acpid.init.d: Add "--oknodo" to the start-stop-daemon call in
    "start". The action must not fail, if acpid is already running.

  [ Michael Vogt ]
  * debian/acpid.postinst: do not restart hal on dapper upgrades
    (hal may hang forever because of a incompatible dbus)
  * only restart if hal is actually running

 -- Michael Vogt <email address hidden>   Wed, 16 Apr 2008 16:12:12 +0200
Superseded in hardy-release on 2008-04-18
Obsolete in gutsy-release on 2011-09-16
acpid (1.0.4-5ubuntu8) gutsy; urgency=low

  * Fix the broken Maintainer lines in debian/control.

 -- Adam Conrad <email address hidden>   Wed, 15 Aug 2007 23:47:42 +1000
Superseded in gutsy-release on 2007-08-15
acpid (1.0.4-5ubuntu7) gutsy; urgency=low

  * Build package for lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Fri, 10 Aug 2007 21:43:04 +0000
Superseded in gutsy-release on 2007-08-10
Obsolete in feisty-release on 2009-08-20
acpid (1.0.4-5ubuntu6) feisty; urgency=low

  * Load drivers from ubuntu directory as well as kernel acpi directory

 -- Matthew Garrett <email address hidden>   Sat, 10 Mar 2007 15:04:34 +0000
Superseded in feisty-release on 2007-03-10
acpid (1.0.4-5ubuntu5) feisty; urgency=low

  * KubuntuFeistyLaptop spec: change debian/powerbtn.sh for KDE sessions:
    * single KDE session: issue KDE logout dialog for user to decide
    * multiple KDE sessions: send shutdown request to all KDE sessions
      (this is the same behaviour as before)

 -- Luka Renko <email address hidden>   Thu,  8 Feb 2007 10:28:09 +0100
Superseded in feisty-release on 2007-02-08
Obsolete in edgy-release on 2008-06-19
acpid (1.0.4-5ubuntu4) edgy; urgency=low

  * Call modprobe with -b to allow user blacklisting.  Ubuntu: #49017

 -- Scott James Remnant <email address hidden>   Thu, 14 Sep 2006 15:13:52 +0100
Superseded in edgy-release on 2006-09-15
acpid (1.0.4-5ubuntu3) edgy; urgency=low

  * Add forgotten versioned-dependency on sysv-rc to get new update-rc.d
    behaviour.  Go me.

 -- Scott James Remnant <email address hidden>   Fri, 21 Jul 2006 01:22:57 +0100
Superseded in edgy-release on 2006-07-21
acpid (1.0.4-5ubuntu2) edgy; urgency=low

  * Remove stop links from rc0 and rc6

 -- Scott James Remnant <email address hidden>   Thu, 20 Jul 2006 23:14:18 +0100
Superseded in edgy-release on 2006-07-20
acpid (1.0.4-5ubuntu1) edgy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Lock file and groups,
    - LSB init script,
    - init script level change,
    - load all modules by default,
    - Power button handling changes.

Superseded in edgy-release on 2006-07-11
Obsolete in dapper-release on 2011-09-06
acpid (1.0.4-1ubuntu11) dapper; urgency=low

  * Fix /etc/acpi/powerbtn.sh so that it doesn't bork if 'pidof' returns
    multiple results.  This stops the machine displaying the logout
    dialogue and then immediately shutting down anyway.
    (Closes: Ubuntu #46319)

 -- Paul Sladen <email address hidden>   Sat, 27 May 2006 15:54:53 +0100
Superseded in dapper-release on 2006-05-27
acpid (1.0.4-1ubuntu10) dapper; urgency=low

  * Add support to set the group of the log file when acpid starts.
    By default this will set it to the adm group.

 -- Daniel Silverstone <email address hidden>   Wed, 15 Feb 2006 14:04:49 +0000
Superseded in dapper-release on 2006-02-15
acpid (1.0.4-1ubuntu9) dapper; urgency=low

  * Check for gnome-power-manager rather than PowerManager. The name changed
    between dapper and breezy and without this, we would unconditionally shut
    the system down on a powerbutton event.
  * Also check for kded/klaptopdaemon and kpowersave for KDE options on the
    same policy management.
  * Closes: malone #31407

 -- Daniel Silverstone <email address hidden>   Wed, 15 Feb 2006 11:41:20 +0000
Superseded in dapper-release on 2006-02-15
Obsolete in breezy-release on 2008-03-25
acpid (1.0.4-1ubuntu8) breezy; urgency=low


  * Shorten and simplify init script messages

 -- Matt Zimmerman <email address hidden>  Thu, 15 Sep 2005 11:30:54 -0700
Obsolete in hoary-release on 2008-03-19
acpid (1.0.4-1ubuntu4) hoary; urgency=low


  * Turn off kernel printks if we're not verbose during module loading 

 -- Thom May <email address hidden>  Wed,  2 Mar 2005 17:45:36 +0000
Obsolete in warty-release on 2008-01-09
acpid (1.0.3-19ubuntu12) warty; urgency=low


  * Disable loading the platform specific acpi modules. (Warty #1451)

 -- Thom May <email address hidden>  Wed,  6 Oct 2004 14:18:58 +0100
167 of 67 results